<?php

include 'conexion.php';
$anno = $_GET['anno'];
$fk_dependencia = $_GET['fk_dependencia'];

$consulta = "SELECT
tipo_compra.nom_tip_compra AS CATEGORIA,
(
SELECT
    IFNULL(
        SUM(compra.valor_total),0
    )
FROM
    compra
WHERE
    compra.fk_id_tip_cate = tipo_compra.id_tip_compra AND YEAR(compra.fecha) = $anno AND MONTH(compra.fecha) = 1 AND compra.fk_dependencia = '$fk_dependencia'
) AS Enero,
(
SELECT
    IFNULL(
        SUM(compra.valor_total),0
    )
FROM
    compra
WHERE
    compra.fk_id_tip_cate = tipo_compra.id_tip_compra AND YEAR(compra.fecha) = $anno AND MONTH(compra.fecha) = 2 AND compra.fk_dependencia = '$fk_dependencia'
) AS Febrero,
(
SELECT
    IFNULL(
        SUM(compra.valor_total),0
    )
FROM
    compra
WHERE
    compra.fk_id_tip_cate = tipo_compra.id_tip_compra AND YEAR(compra.fecha) = $anno AND MONTH(compra.fecha) = 3 AND compra.fk_dependencia = '$fk_dependencia'
) AS Marzo,
(
SELECT
    IFNULL(
        SUM(compra.valor_total),0
    )
FROM
    compra
WHERE
    compra.fk_id_tip_cate = tipo_compra.id_tip_compra AND YEAR(compra.fecha) = $anno AND MONTH(compra.fecha) = 4 AND compra.fk_dependencia = '$fk_dependencia'
) AS Abril,
(
SELECT
    IFNULL(
        SUM(compra.valor_total),0
    )
FROM
    compra
WHERE
    compra.fk_id_tip_cate = tipo_compra.id_tip_compra AND YEAR(compra.fecha) = $anno AND MONTH(compra.fecha) = 5 AND compra.fk_dependencia = '$fk_dependencia'
) AS Mayo,
(
SELECT
    IFNULL(
        SUM(compra.valor_total),0
    )
FROM
    compra
WHERE
    compra.fk_id_tip_cate = tipo_compra.id_tip_compra AND YEAR(compra.fecha) = $anno AND MONTH(compra.fecha) = 6 AND compra.fk_dependencia = '$fk_dependencia'
) AS Junio,
(
SELECT
    IFNULL(
        SUM(compra.valor_total),0
    )
FROM
    compra
WHERE
    compra.fk_id_tip_cate = tipo_compra.id_tip_compra AND YEAR(compra.fecha) = $anno AND MONTH(compra.fecha) = 7 AND compra.fk_dependencia = '$fk_dependencia'
) AS Julio,
(
SELECT
    IFNULL(
        SUM(compra.valor_total),0
    )
FROM
    compra
WHERE
    compra.fk_id_tip_cate = tipo_compra.id_tip_compra AND YEAR(compra.fecha) = $anno AND MONTH(compra.fecha) = 8 AND compra.fk_dependencia = '$fk_dependencia'
) AS Agosto,
(
SELECT
    IFNULL(
        SUM(compra.valor_total),0
    )
FROM
    compra
WHERE
    compra.fk_id_tip_cate = tipo_compra.id_tip_compra AND YEAR(compra.fecha) = $anno AND MONTH(compra.fecha) = 9 AND compra.fk_dependencia = '$fk_dependencia'
) AS Septiembre,
(
SELECT
    IFNULL(
        SUM(compra.valor_total),0
    )
FROM
    compra
WHERE
    compra.fk_id_tip_cate = tipo_compra.id_tip_compra AND YEAR(compra.fecha) = $anno AND MONTH(compra.fecha) = 10 AND compra.fk_dependencia = '$fk_dependencia'
) AS Octubre,
(
SELECT
    IFNULL(
        SUM(compra.valor_total),0
    )
FROM
    compra
WHERE
    compra.fk_id_tip_cate = tipo_compra.id_tip_compra AND YEAR(compra.fecha) = $anno AND MONTH(compra.fecha) = 11 AND compra.fk_dependencia = '$fk_dependencia'
) AS Noviembre,
(
SELECT
    IFNULL(
        SUM(compra.valor_total),0
    )
FROM
    compra
WHERE
    compra.fk_id_tip_cate = tipo_compra.id_tip_compra AND YEAR(compra.fecha) = $anno AND MONTH(compra.fecha) = 12 AND compra.fk_dependencia = '$fk_dependencia'
) AS Diciembre
FROM
tipo_compra"; 

$resultado = $conexion->query($consulta);

if(!$resultado){
    echo "Hay un error con la consulta";
}

while($fila = $resultado -> fetch_array()){
    $datos[] = array_map('utf8_encode', $fila);
}

echo json_encode($datos);
$resultado -> close();

?>